Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgGA::GUIEventHandler Class Reference

GUIEventHandler provides a basic interface for any class which wants to handle a GUI Events. More...

Inheritance diagram for osgGA::GUIEventHandler:

[legend]
List of all members.

## Public Member Functions
| GUIEventHandler ()
| GUIEventHandler (const GUIEventHandler &, const osg::CopyOp &)
| META_Object (osgGA, GUIEventHandler)
virtual void | operator() (osg::Node *node, osg::NodeVisitor *nv)
| Event traversal node callback method.
virtual void | event (osg::NodeVisitor *nv, osg::Drawable *drawable)
| Event traversal drawable callback method.
virtual const CompositeGUIEventHandler * | getComposite () const
| Returns 0 if this GUIEventHandler is not a CompositeGUIEventHandler.
virtual CompositeGUIEventHandler * | getComposite ()
| Returns 0 if this GUIEventHandler is not a CompositeGUIEventHandler.
virtual bool | handle (const GUIEventAdapter &ea, GUIActionAdapter &aa, osg::Object *, osg::NodeVisitor *)
| Handle events, return true if handled, false otherwise.
virtual bool | handle (const GUIEventAdapter &, GUIActionAdapter &)
| deprecated, Handle events, return true if handled, false otherwise.
virtual void | accept (GUIEventHandlerVisitor &)
| Accept visits from GUIEventHandler visitors.
virtual void | getUsage (osg::ApplicationUsage &) const
| Get the keyboard and mouse usage of this manipulator.

## Detailed Description

GUIEventHandler provides a basic interface for any class which wants to handle a GUI Events.

The GUIEvent is supplied by a GUIEventAdapter. Feedback resulting from the handle method is supplied by a GUIActionAdapter, which allows the GUIEventHandler to ask the GUI to take some action in response to an incoming event.

For example, consider a Trackball Viewer class which takes mouse events and manipulates a scene camera in response. The Trackball Viewer is a GUIEventHandler, and receives the events via the handle method. If the user 'throws' the model, the Trackball Viewer class can detect this via the incoming events, and request that the GUI set up a timer callback to continually redraw the view. This request is made via the GUIActionAdapter class.

## Constructor & Destructor Documentation

osgGA::GUIEventHandler::GUIEventHandler | ( |  | ) | `[inline]`

osgGA::GUIEventHandler::GUIEventHandler | ( | const GUIEventHandler & | ,
|  | const osg::CopyOp & |
| ) | `[inline]`

## Member Function Documentation

virtual void osgGA::GUIEventHandler::accept | ( | GUIEventHandlerVisitor & |  | ) | `[inline, virtual]`

| Accept visits from GUIEventHandler visitors. Reimplemented in osgGA::CompositeGUIEventHandler, osgGA::MatrixManipulator, osgGA::StateSetManipulator, and osgProducer::ViewerEventHandler.

virtual void osgGA::GUIEventHandler::event | ( | osg::NodeVisitor * | nv,
|  | osg::Drawable * | drawable
| ) | `[virtual]`

| Event traversal drawable callback method. Reimplemented from osg::Drawable::EventCallback.

virtual CompositeGUIEventHandler* osgGA::GUIEventHandler::getComposite | ( |  | ) | `[inline, virtual]`

| Returns 0 if this GUIEventHandler is not a CompositeGUIEventHandler. Reimplemented in osgGA::CompositeGUIEventHandler.

virtual const CompositeGUIEventHandler* osgGA::GUIEventHandler::getComposite | ( |  | ) | const`[inline, virtual]`

| Returns 0 if this GUIEventHandler is not a CompositeGUIEventHandler. Reimplemented in osgGA::CompositeGUIEventHandler.

virtual void osgGA::GUIEventHandler::getUsage | ( | osg::ApplicationUsage & |  | ) | const`[inline, virtual]`

| Get the keyboard and mouse usage of this manipulator. Reimplemented in osgGA::AnimationPathManipulator, osgGA::DriveManipulator, osgGA::FlightManipulator, osgGA::CompositeGUIEventHandler, osgGA::KeySwitchMatrixManipulator, osgGA::NodeTrackerManipulator, osgGA::StateSetManipulator, osgGA::TerrainManipulator, osgGA::TrackballManipulator, osgGA::UFOManipulator, and osgProducer::ViewerEventHandler.

virtual bool osgGA::GUIEventHandler::handle | ( | const GUIEventAdapter & | ,
|  | GUIActionAdapter & |
| ) | `[inline, virtual]`

| deprecated, Handle events, return true if handled, false otherwise. Reimplemented in osgGA::AnimationPathManipulator, osgGA::DriveManipulator, osgGA::FlightManipulator, osgGA::KeySwitchMatrixManipulator, osgGA::MatrixManipulator, osgGA::NodeTrackerManipulator, osgGA::StateSetManipulator, osgGA::TerrainManipulator, and osgGA::TrackballManipulator.

virtual bool osgGA::GUIEventHandler::handle | ( | const GUIEventAdapter & | ea,
|  | GUIActionAdapter & | aa,
|  | osg::Object * | ,
|  | osg::NodeVisitor * |
| ) | `[inline, virtual]`

| Handle events, return true if handled, false otherwise. Reimplemented in osgGA::CompositeGUIEventHandler.

osgGA::GUIEventHandler::META_Object | ( | osgGA | ,
|  | GUIEventHandler |
| ) |

virtual void osgGA::GUIEventHandler::operator() | ( | osg::Node * | node,
|  | osg::NodeVisitor * | nv
| ) | `[virtual]`

| Event traversal node callback method. Reimplemented from osg::NodeCallback.

The documentation for this class was generated from the following file:

- GUIEventHandler